function printMoney(money) {
  return (money / 100).toFixed(2);
}

function printDate(date) {
  return new Date(date).toLocaleDateString();
}

function printRole(role) {
  switch (role) {
    case "admin":
      return "admin";
    case "order":
      return "pedidos";
    default:
      return "socia";
  }
}

function printTransactionID(transaction) {
  return "T-" + transaction.ID.toString().padStart(5, "0");
}

function url(path) {
  let api = process.env.REACT_APP_API;
  if (!api) {
    api = "";
  }
  return api + path;
}

function daysAfterNow(days) {
  let date = new Date();
  date.setDate(date.getDate() + days);
  return date;
}

function date2string(date) {
  return date.toISOString().split("T")[0];
}

export {
  printMoney,
  printDate,
  printRole,
  url,
  daysAfterNow,
  date2string,
  printTransactionID,
};
